Subject: Re: Venus Fly Trap, HELP!
From: [email-masked]
Date: 16 May 1994 19:44:20 GMT
Newsgroups: bionet.plants,misc.misc,misc.wanted,ny.general,nj.general

In <[email-masked]>, [email-masked] (Rickie - New York) writes:
>
>HELP.
>Can someone tell me where I could get a Venus Fly Trap.
>I have been looking like crazy and with no luck. Maybe there's
>a mailorder house or something.  Please respond as soon as possible
>
>Thanks in Advance.
>
>Rickie
>
>

There is a journal of carnivorous plants, or somesuch.  If you go the 
botanic gardens, they have it there.  It must have ads in it.

Mat Baskin       [email-masked]